Skip to main content
GET
/
cost_alerts
/
{cost_alert_token}
/
events
/
{event_token}
Get cost alert event by token
curl --request GET \
  --url https://api.vantage.sh/v2/cost_alerts/{cost_alert_token}/events/{event_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "cstm_alrt_evnt_bdc4f45f9a5f20f1",
  "created_at": "2025-04-08T17:39:29Z",
  "triggered_at": "2025-04-10T17:39:29Z",
  "description": "Day over day costs for aws and storage increased by $500.0.",
  "alert_type": "change_in_cost",
  "metadata": {
    "change_in_cost": "500.0",
    "groupings": [
      "aws",
      "storage"
    ]
  },
  "report_token": "rprt_9585e8071c2756d4",
  "alert_token": "cstm_alrt_rl_42159424c0cf6fcb"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

cost_alert_token
string
required
event_token
string
required

Response

200 - application/json

CostAlertEvent model

token
string
required
created_at
string
required

The date and time, in UTC, the CostAlertEvent was created. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

triggered_at
string
required

The date and time, in UTC, the CostAlertEvent is sent. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

description
string
required

The description of the CostAlertEvent.

alert_type
string
required

The type of the CostAlertEvent.

metadata
object
required

The metadata of the CostAlertEvent.

report_token
string
required

The token of the report associated with the CostAlertEvent.

alert_token
string
required

The token of the alert associated with the CostAlertEvent.